Skip to main content
GET
Get address counterparties

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Query Parameters

network
string
required

Network of Address

Example:

"ethereum"

address
string
required

Address to search

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

groupBy
string
required

"address" mode or "entity" mode

Example:

"address"

startTime
string

Start time

Example:

"2024-01-01T00:00:00.000Z"

endTime
string

End time

Example:

"2024-01-31T23:59:59.999Z"

Response

200 - application/json

List of addresses that the specified address has interacted with.

address
string
required
network
string
required
name
string
required
type
string
required
malicous
boolean
required
tags
object
required
is_validator
boolean
required
total_payments
number
required
payment_counts
object[]
required
earliest_payment
string
required
latest_payment
string
required
last_transaction
object
required
is_sender
boolean
required
is_receiver
boolean
required